%define build_firefox 0
%define build_thunderbird 1
%define ext_guid '{e2fda1a4-762b-4020-b5ad-a41df1933103}'
%define ext_desc \\\
Upgrade Thunderbird or SeaMonkey to a full Personal Information Manager \\\
with Lightning. It allows you to manage your daily schedule (events and tasks) \\\
directly within Thunderbird or SeaMonkey.


Name: lightning
License: MPL
Group: Applications/Internet
Summary: Lightning Calendar Extension for Thunderbird
Version: 0.9
Release: 1%{?dist}
#URL: https://addons.mozilla.org/en-US/thunderbird/addon/2313/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: %{name}-%{version}.linux-i686.xpi
Source1: %{name}-%{version}-linux-x86_64.xpi
Source100: mozilla-extension-update.sh
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip

%description
%{ext_desc}

%if %{build_firefox}

%define update_firefox \\\
  %{_libdir}/firefox-%{name}/mozilla-extension-update.sh --appname firefox \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/firefox-%{name} --action


%package -n firefox-%{name}
Summary:   Lightning Calendar Extension for Thunderbird
Obsoletes: firefox-add-on-lightning
Provides:  firefox-add-on-lightning
Group: Applications/Internet

%description -n firefox-%{name}
%{ext_desc}

%post -n firefox-%{name}
%{update_firefox} install ||:

%preun -n firefox-%{name}
if [ $1 = 0 ]; then
 %{update_firefox} remove ||:
fi 

%triggerin -n firefox-%{name} -- firefox
%{update_firefox} install ||:

%files -n firefox-%{name}
%defattr(-,root,root,-)
%{_libdir}/firefox-%{name}
%{_libdir}/firefox-%{name}/*

%endif #build_firefox

%if %{build_thunderbird}

%define update_thunderbird \\\
  %{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/thunderbird-%{name} --action
  
%package -n thunderbird-%{name}
Summary:   Lightning Calendar Extension for Thunderbird
Obsoletes: thunderbird-add-on-lightning
Provides:  thunderbird-add-on-lightning
Group: Applications/Internet
AutoReqProv: No
# or rpm will scream about libxpcom_*.so

%description -n thunderbird-%{name}
%{ext_desc}

%post -n thunderbird-%{name}
%{update_thunderbird} install ||:

%preun -n thunderbird-%{name}
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -n thunderbird-%{name} -- thunderbird
%{update_thunderbird} install ||:

%files -n thunderbird-%{name}
%defattr(-,root,root,-)
%{_libdir}/thunderbird-%{name}
%{_libdir}/thunderbird-%{name}/*

%endif #build_thunderbird

%build

%install

%define real_src %{SOURCE0}
%ifarch x86_64
%define real_src %{SOURCE1}
%endif

%if %{build_firefox}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/firefox-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/firefox-%{name} %{real_src}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/firefox-%{name}/mozilla-extension-update.sh
%endif
%if %{build_thunderbird}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name} %{real_src}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/thunderbird-%{name}/mozilla-extension-update.sh
%endif

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.9
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
